<script setup>
// This starter template is using Vue 3 <script setup> SFCs
// Check out https://vuejs.org/api/sfc-script-setup.html#script-setup

import { computed } from 'vue';
import momentTimezone from 'moment-timezone';

const moment_timecode = computed((time) => {
  // 小数点以下を切り捨てる
  time = parseInt(time);
  var second = (time % 60) % 60;
  var minute = Math.floor(time / 60) % 60;
  var hour = Math.floor(time / 3600);

  return (
    ('0' + hour).slice(-2) +
    ':' +
    ('0' + minute).slice(-2) +
    ':' +
    ('0' + second).slice(-2)
  );
});

const moment_day = computed((date) => {
  if (date == null || date == '') {
    return '';
  } else if (i18n.locale == 'ja') {
    return momentTimezone(date).format('ddd曜日');
  } else {
    return momentTimezone(date).format('ddd');
  }
});
const moment_time_without_tz = computed((date) => {
  return date == null || date == '' ? '' : momentTimezone(date).format('HH:mm');
});
const moment_only_date = computed((date) => {
  if (date == null || date == '') {
    return '';
  } else {
    return momentTimezone(date).format('D');
  }
});
const moment_month = computed((date) => {
  if (date == null || date == '') {
    return '';
  } else if (i18n.locale == 'ja') {
    return momentTimezone(date).format('M月');
  } else {
    return momentTimezone(date).format('M');
  }
});
const moment_date = computed((date) => {
  if (date == null || date == '') {
    return '';
  } else if (i18n.locale == 'ja') {
    return momentTimezone(date).format('YYYY年MM月DD日');
  } else {
    return momentTimezone(date).format('YYYY/MM/DD');
  }
});
const moment_simple = computed((date) => {
  return momentTimezone(date).format('YYYY.MM.DD');
});
const moment_from_now = computed((date, tz) => {
  if (data) {
    return momentTimezone(data).tz(tz).fromNow();
  } else {
    return '';
  }
});
const moment = computed((date) => {
  if (date == null || date == '') {
    return '';
  } else if (i18n.locale == 'ja') {
    return momentTimezone(date).format('YYYY年MM月DD日(ddd) HH:mm z');
  } else {
    return momentTimezone(date).format('YYYY/MM/DD(ddd) HH:mm z');
  }
});
const moment_without_tz = computed((date) => {
  if (date == null || date == '') {
    return '';
  } else if (i18n.locale == 'ja') {
    return momentTimezone(date).format('YYYY年M月D日(ddd) HH:mm');
  } else {
    return momentTimezone(date).format('YYYY/MM/DD HH:mm');
  }
});
const number_to_human_size = computed((size) => {
  var units = [' B', ' KB', ' MB', ' GB', ' TB'];

  for (var i = 0; size > 1024; i++) {
    size /= 1024;
  }

  return Math.round(size * 100) / 100 + units[i];
});
const number_to_currency = computed((number) => {
  return Intl.NumberFormat('ja-JP', {
    style: 'currency',
    currency: 'JPY',
  }).format(number);
});
</script>

<template>
  <!-- <img alt="Vue logo" src="./assets/logo.png" /> -->
  <router-view></router-view>
</template>

<style>
#app {
  font-family: 'Helvetica Neue', Arial, 'Hiragino Kaku Gothic ProN',
    'Hiragino Sans', Meiryo, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
body {
  padding: 0;
  background-color: #fff !important;
}
</style>
